---
layout: post
title: Augmented Reality
---

During the time I searched for a new business idea for Awxire AB, I came up with the following business ideas based on Augmented Reality technologies. Plus links to related websites. I haven’t yet abandoned them all, but I feel that they should now be shared to the public. Maybe they will give inspiration to you, if they do please tell me.

## AR Projects

### Wearable computer system

For more info see [Wearable Computer System]({{site.url}}/posts/other/2011/05/07/wearable-computer-system)

* Display (Head Mounter Display)
* Input device (mouse, keyboard)
* Position tracking system
* Computer hardware
* WCSSDK

### ARBrowser

A wearable computer system installed with Linux, and just Firefox. To be able to browse the internet wherever you are, in a comfortable way.

### ARMouse

A camera is placed in front of the keyboard. A ARTag is placed on the fingertip, a program reads the position of the finger and moves the mouse pointer on the screen. If you show the long finger to the camera, that will be a left click. Could also read different gestures made by the hand to back in the browser, or open different programs.
http://en.wikipedia.org/wiki/EyeToy<br/>
http://en.wikipedia.org/wiki/Power_Glove<br/>
http://www.mgestyk.com/<br/>
http://www.3dvsystems.com/<br/>
http://www.wearable.ethz.ch/research/groups/platforms/Fingermouse<br/>
http://gizmodo.com/gadgets/clips/wiimote-hack-is-wireless-multitouch-tv-321329.php<br/>
http://blog.makezine.com/archive/2008/11/hand_gesture_multitouch_u.html?CMP=OTC-0D6B48984890<br/>

### ARNet (Augmented Reality net)

A worldwide network and parallel reality. Where anybody can place a virtual object, for example a big box at the town square, and on it’s sides webpages or movies are displayed. Another example is that you change the colour or wallpaper in your home or way not place a big tower at the top of your house that can only be seen in the ARNet.

* Matt Grove describe ARNet
  http://www.servicentric.com/matt/ar.html
* Active Door
  Leave a personal message on a door. For example a movie with the people who lives there, which are welcoming the guests.

### ARHome

A limited version of ARNet is only taking place in the users home. Where she can place furnitures, flowers, paintings in the home.

### ARDecoration

Another even more limited (and easier to develop) version of ARNet. The user has to place ARTAGS in the home, where each tag represent a new object that has or should be bought to the home. In this way the user can see how it will look like in the home, without moving around heavy furnitures or first buying that expensive thing. The user could use a mobile phone or hand-held computer instead of buying an expensive Wearable computer.

### ARDesktop/Augmented Environment

The user sits at a regular desktop (not computer). There can he place a virtual phone, documents. Put documents in the desk drawers. Application windows are floating in the air in front of the desktop. Either a HMD or a Projector can be used to display the virtual desktop above the regular desktop.

### ARTerminal

Terminal server/winvnc  window which are floating in the air, and are connected to a more powerful computer then the worn wearable-computer.

### ARLinkedWindow

Possible to flag some of the objects/windows to be seen by other users in the room which are also wearing HMD. By doing that several users can look at the same application at the same time, and it will be possible for everybody to make changes and control the application.

### ARray

All around a closed room (Submarine, big ship, airplane, car) are many cameras mounted. They are connected to the ARray software, and the images from the cameras builds one large panorama image, which can be seen from a HMD. So for the user it will look like that closed room are transparent, and he will get a better view of the area around him.

### ARFO (Augmented Reality inFOrmation)

A lot of professions are benefited to all the time have access to the latest information. For example: Security guards that get information about when and which alarms that has been triggered, and get their position on a map over the building.

Staff working in a subway to get information about next train arriving, a map over the subway net, and where each subway are.

An electrician can look at a wall, and through the HMD he can see all wires that are in the wall. The are all labeled with what they are connected to.

The user are going to do some maintenance on his car. Then he will get a tutorial of the oil-changing procedures, arrows will point on different things in the engine, and a voice will tell what should be done.

Like the gem in windows. A virtual person that the user can ask about anything, like a big knowledgebase/wikipedia.

An interpreter that can translate things for the user. Both verbal and by text.

A book system, where the user sees the newspaper/book in the eye field all the time and don’t need to hold the item.

### ARCar

The driver of the car has HMD, it’s cameras around the car. If he turns left or right the car will be transparent, and he will get no problem with the dead angel. The GPS is connected to the computer and the driver will see an arrow on the road pointing in the direction he should follow. The size of the computer for this solutions has less importance then for other AR-solutions.

The computer software can also display the distance to the car ahead and behind of the driver. All traffic signs will be enlarged, and the system will remember all the signs that are valid for this road. If the driver missed them.

All passengers can have their own HMD, and look on movies during the car trip, or look on GPS-connected maps to see where you are now, browse the internet etc.

This might be more useful for truck drivers, they have more dead angels. If it’s a mounted crane on the truck, that can be controlled directly from the driver’s stand.

http://www.conrad.se/swe/tp.php?recordID=853652&httpref=&ref=kelkoo&tduid=73731c521a08586f86d9eb1940d9fed6

### ARBoat

Display the topography on the bottom of the sea, which the captain can see through the HMD.

### ARCrane

A 360 degree camera are placed in the hook. The HMD user will feel like he is the hook, and when he turn the head he can see what the camera sees.

http://www.coolest-gadgets.com/20070531/google%E2%80%99s-new-street-map-uses-multi-angle-camera/

### ARInventory

To minimize a shops inventory. Show a car, furnitures and other objects in a HMD and the user can walk around in the shop to see them as they where there.

You might also see the shop object with extra object. For example through a HMD or a hand-held computer the customer can see a car with other colours, spoilers, nave plates etc.

http://www.youtube.com/watch?v=JcrCrcPwAPU

### ARSport

All football players have small window above them (like in RTS games), where different statistics are displayed about him.

When you go to a sporting event (football, moto gp, hockey, formula 1) you can rent/borrow a little device or use your own iphone. The device should have a camera and a display. Then you can hold the device against a participant of the event, and a small window will be displayed above him (like in a RTS game). In the window different statistics can be displayed, such as how many goals has been done, how fast the motorcycle goes, the record top speed on this track, replay of the crash you missed.

Helmet-Mounted Display System for Formula One Drivers
At the bottom of the page http://www.sid.org/news/archive/industrynews0210.html

### ARTheater

If you go to a theater or opera, you can point the device against an actor and get information about him or the character he is playing.

### ARGuide

A guiding system, where you walk around in Stockholm and can see small shows of things that happened there. Windows with text description of buildings, or voices that tell you about different places.

### ARThemePark

The future of haunted house. You walk around with a wearable computer like a commando solider in a “space ship”. Different alien monsters comes up around the corners.

10 minutes to go through the house. 100 kronor per person. About 500 per hour and device. Open 10 hours a day and 30 days a month, 150 000 a month for each device. The devices will probably not be for full time, but with a use of between 10% and 100% and 20 devices the income will be between 300 000 and 3 000 000.

A “real Jurassic park”. Instead of  monsters the user can see dinosaurs. You can get information about each specimen.

### ARMirrors

* Replacement/compliment of these big billboards you can see at bus stops, in the subway, on the streets. Instead of the poster, we have a big tv, a camera and a computer. If you walk up to the billboard you will see yourself with the product we sell, it might be you in a new jacket, yourself sitting in a new car. Maybe also a camera on the other side, so it looks like you are looking at yourself in a car on the street ahead of you (behind the billboard).
* In a clothing store, you can choose between different clothes and see how they look on you. You can even have a webcamera at home. Can be used for haircut and makeup.
* Spooky mirror. Mirror (big tv with camera) that will add strange things in the background of the mirror. Remove the head, and arm of you or someone else in the mirror. Add a monster behind you. Show a different background then what you think is behind you. Maybe put this mirror in a haunted house in a theme park.
* FishTank mirror. Looks like it’s a fish tank built into the wall, where fishes and other strange things (monsters) are swimming around. If you knock on the glass, they will come to you, maybe try to bite your finger if you are holding it against the glass. Or if you just stand in front of the tank for to long, they will swim up to the glass and stare on you.
* In a theme park. Like these paper screens in which you put your head,
  and then photo. Instead a ARMirror , and you can choose between different
  scenarios and then get a printed photo, or a movie burned on a DVD.<br/>
  http://www.t-immersion.com/lc-content/uploads/2008/08/hp_pologne.flv
  http://www.youtube.com/watch?v=vOS4iChSOJ0&feature=channel

### AReplicator

Copy real objects and create a virtual copy which can be placed in ARNet.

### ARWars

Laserdome, lastertag and now ARWars. In a big room, or maybe outside. All players wears a Wearable computer system and a lasertag weapon. They can then go around and kill each other. Between the matches they can buy new equipment, armour, grenades, weapon upgrade etc. The equipment store can only be seen in the AR-world at special places. When you look at yourself or another player you can see the weapon they have bought in the AR-world (as a layer over the weapon they wear). You will also have a map over ther war-zone, where you can see all your co-players. A team-leader can set up checkpoints where different players should go. He might also call in a radar which will expose the enemies for a short period. (Think Battlefield from Dice)

http://www.youtube.com/watch?v=lPYy5L7Qwz4

Every player will have a pipboy on theirs arm (an IPOD?), like in the game fallout.

### ARCade/ARCity/ARRail

A stand in which a man will be hanging in wires, he will also be connected to a HMD. Then he can run around and ply FPS like games in this reality. If he get a hit, he will be drawn backwards.

A simpler version would be that the player are in a small room wearing a HMD, and some kind of weapon. Where he can shoot monsters.

Sell the units for 100 000, 30 for each game, 10 games per hour, 10 hours a day, and the game reaches break even after 33 days.

### ARChitect cad

A CAD program where the architect can walk around in his creation in a 1:1 world. Make changes in the creation, get up menus in the visual field.

### Ardeck (holodeck)

A room that will act as a holographic room, where the user can experience different things. Maybe look at a movie from different angels, maybe act in the movie.

### Early SimStim (Simulated Stimulation??)

A SimStim is a fictional creation by William Gibson in Neuromancer. It let’s a user ‘tap in’ to another users sensory input, but not have any control over them, and experience everything that the other user are experiencing, seeing, hearing and feeling.

In our version we let an actor be motion captured. Then the movie will be replayed in a hydraulic connected stand, which will move the users body around, and let him see what the actor did feel. Maybe the actor did parachute, or did drive a formula one car.

This can also be used in real time. The “passenger” can see what the actor does, and help him to do what he is supposed todo. With a “mouse-pointer” the passenger can point on different things in the actors view field (he wears a HMD).

### ARTamagotchi

An imaginary friend is following the user when he is our walking, and will react on things the user are doing.

### RealVirtualOffice

http://www.cs.unc.edu/~raskar/Office/sketch.gif

A projector is showing what cameras in another office are filming on the wall in your office. This will give the feeling that both offices are the same office, even though they might be in different parts of the world.

### ARHeadTracker

Head-position tracking with webcam. A webcam reads the position of the head and will move the mouse pointer in the direction the head are looking.

### ARPinball

A standard pinball game, where all the objects in the game are projected by a projector, like http://www.mlab.uiah.fi/~kkallio/mr-pong/. Possible to load the pinball with different levels.

### ARGui

The GUI can look like the blue transparent keyboard and screens that are used by UEF in the Supreme Commander cut scenes.

### ARBot

Control an RC robot with HMD and computer gloves. If the user turns his head, the camera on the bot will turn. If the thumbs are hold against the hand, two arms on the robot will be controlled. If the hand are formed into a fist, the legs/wheels are controlled.
http://teknik360.idg.se/2.8229/1.196355/liten-robot-tar-harda-smallar

### ARSearch

Point the AR-camera against an object and get information about that object.<br/>
http://www.behance.net/Gallery/Future-of-Internet-Search-Mobile-version/59175br/>
http://www.techcrunch.com/2008/09/09/tc50-sekai-camera-for-social-tagging-on-the-iphone/br/>
http://enkin.net

### Wearable Computer for Verbal Handicapped

http://se.youtube.com/watch?v=rf-WvMXC29U&feature=channel_page

### ARFireSim

http://t360.idg.se/2.8229/1.210535/virtuell-brandovning

## Links

### Articles

http://vresources.org/articles/vre_articles/analyhmd/analysis.htm
http://www.ainformatik.fh-trier.de/~schneider/papers/graz.pdf
http://wearables.unisa.edu.au/projects/ARQuake/www/papers/index.html
http://www.csl.sony.co.jp/person/rekimoto/papers/apchi98.pdf
http://mi.eng.cam.ac.uk/~gr281/outdoortracking.html

### Motion tracking

http://www.polhemus.com/?page=Motion_Fastrak
http://www.ascension-tech.com/realtime/virtualreality.php

### Coding tool kits

http://www.robots.ox.ac.uk/~gk/publications.html (nice)
http://www.doc.ic.ac.uk/~ajd/software.html(nice)
http://www.openvidia.org/screenshots.shtml
http://www.hitl.washington.edu/artoolkit/documentation
http://www.openillusionist.org.uk/documentation/doku.php?id=contents
http://www.openillusionist.org.uk/documentation/doku.php?id=example:fishtank
http://www.cs.ucl.ac.uk/staff/r.freeman/demos/demos.htm
http://www.cv.iit.nrc.ca/research/ar/artag
http://studierstube.icg.tu-graz.ac.at/handheld_ar/artoolkitplus.php
http://mxrtoolkit.sourceforge.net
http://technabob.com/blog/2008/08/16/artoolkit-augmented-reality-iphone
http://www.digilab.uni-hannover.de/docs/manual.html
http://www.talula.demon.co.uk/allegro/index.html
http://openvidia.sourceforge.net/screenshots.shtml

### Persons

http://www.csc.kth.se/~alx/
http://research.microsoft.com/en-us/um/people/awilson
http://research.microsoft.com/en-us/um/people/benko/projects.html
http://www.cc.gatech.edu/~thad/index.htm

### Companies

http://www.t-immersion.com
http://www.space3dsolutions.ch
http://www.camtech.ntu.edu.sg/projects/projects.html
http://www.metaio.com/
http://www.mediapost.com/publications/?fa=Articles.showArticleHomePage&art_aid=96735
http://technabob.com/blog/2008/12/17/mini-augmented-reality-ads-hit-newstands
http://www.mediapost.com/publications/?fa=Articles.showArticleHomePage&art_aid=96735
http://www.beetagg.com/prices/

### Read

http://microvision.blogspot.com
http://microvision.sdh.cx/
http://gamesalfresco.com/2008/05/13/top-10-augmented-reality-engines-that-will-ignite-a-new-era-of-video-games/
http://www.redwoodhouse.com/wearable/
http://linuxdevices.com/
http://about.eyetap.org/fundamentals/future.shtml
http://www.redwoodhouse.com/wearable/index.php?module=pagemaster&PAGE_user_op=view_page&PAGE_id=3&MMN_position=3:3
http://www.google.se/search?q=wearable+computers&ie=utf-8&oe=utf-8&aq=t&rls=com.ubuntu:en-US:unofficial&client=firefox-a
http://about.eyetap.org/
http://wearcam.org/
http://www.kth.se/gemensamt/1.15656?cx=007739532553414964846%3Annnfexlcq9w&cof=FORID%3A11&l=sv_SE&q=wearable&sa=S%C3%B6k#1047
http://en.wikipedia.org/wiki/Steve_Mann
http://www.yankodesign.com/page/2/
http://dvice.com/
http://gamesalfresco.com
http://www.augmented.org/blog/
http://en.wikipedia.org/wiki/Augmented_reality
http://www.dirkreiners.com/ISMAR06Demos/#Demo_1
http://www.hitlabnz.org/route.php?r=movie-list
http://www.eyetap.org/research/medr.html
http://www.eyetap.org/~fungja/
http://www.robots.ox.ac.uk/ActiveVision/Themes/index.html(lots of papers on AR)
http://www.robots.ox.ac.uk/%7Epas/Publications/index.html
http://www.doc.ic.ac.uk/~ajd/publications.html(Andrew Davison publications)
http://www.robots.ox.ac.uk/ActiveVision/Publications/davison_etal_ismar2003/davison_etal_ismar2003.pdf
http://www.robots.ox.ac.uk/ActiveVision/Publications/williams_etal_icra2007/williams_etal_icra2007.pdf
http://www.tinmith.net/research.htm
http://www.augmented-reality.org/
http://portal.acm.org/citation.cfm?id=1198711&coll=GUIDE&dl=GUIDE&CFID=12496974&CFTOKEN=46884470
http://portal.acm.org/results.cfm?coll=GUIDE&dl=GUIDE&CFID=12496974&CFTOKEN=46884470
http://www.media.mit.edu/wearables/lizzy/wearlinks.html
http://www.se.rit.edu/~jrv/research/ar/index.html
http://www.augmented.org/blog/
http://www.antelopetech.com/
http://en.wikipedia.org/wiki/Positioning_system
http://ismar08.org/wiki/doku.php?id=program
http://en.wikipedia.org/wiki/CyberCode
http://marisil.org/
http://en.wikipedia.org/wiki/Mixed_Reality
http://en.wikipedia.org/wiki/Ubiquitous_computing
http://en.wikipedia.org/wiki/Wearable_computer
http://en.wikipedia.org/wiki/Video_tracking
http://en.wikipedia.org/wiki/Machine_vision
http://en.wikipedia.org/wiki/Fiduciary_marker
http://en.wikipedia.org/wiki/Match_moving
http://www.t-immersion.com/en,partners,view-partner,31,EU.html
http://future.wikia.com/
http://future.wikia.com/wiki/Cyborg
http://en.wikipedia.org/wiki/Cyborg#see_also
http://www.merl.com/projects
http://en.wikipedia.org/wiki/Cybernetic
http://en.wikipedia.org/wiki/Philosophical_zombies
http://en.wikipedia.org/wiki/Computer_game_bot
http://en.wikipedia.org/wiki/Simulated_Reality#See_Also
http://research.microsoft.com/apps/dp/pr/projects.aspx#p=1&ps=36&so=1&sb=&fr=&to=&fd=&td=&rt=|47198&f=a&a=&pn=&pa=&pd=
http://digital.venturebeat.com/2009/09/15/which-augmented-reality-startups-are-most-ready-for-market-we-rank-them/
http://www.pinktentacle.com/2008/03/cyber-goggles-high-tech-memory-aid/
http://gamesalfresco.com/2008/12/14/2008-wrap-up-top-10-milestones-in-augmented-reality/
http://gamesalfresco.com/2008/04/16/10-best-augmented-reality-devices-that-will-reinvent-mobile-video-games/?referer=sphere_related_content
http://gamesalfresco.com/2008/12/14/2008-wrap-up-top-10-milestones-in-augmented-reality/
http://en.wikipedia.org/wiki/Simulated_Reality
http://en.wikipedia.org/wiki/Cyborg
http://marisil.org/?02_development/05_demo ((Kul AR example, hand interface)
http://www.youtube.com/watch?v=LPvo2HWY9BA(AR-tennis på mobil)
http://www.csl.sony.co.jp/person/rekimoto/uist95/uist95.html
http://www.sciam.com/article.cfm?articleID=0006378C-CDE1-1CC6-B4A8809EC588EEDF
http://www.a-rage.com/
http://en.wikipedia.org/wiki/Cyberpunk
http://perso.orange.fr/fabien.besnard/pdfrefut.pdf
http://www.youtube.com/profile?user=EmmanuelMFr
http://www.t-immersion.com/video_gallery/main.asp?idf=a0#
http://en.wikipedia.org/wiki/Augmented_reality
http://en.wikipedia.org/wiki/ARQuake
http://www.doc.ic.ac.uk/~ajd/
http://future.wikia.com/wiki/Augmented_reality
http://www.mlab.uiah.fi/~kkallio/mr-pong/
http://www.mixedrealitylab.org/index.php?option=com_content&task=blogsection&id=6&Itemid=36
http://www.flickr.com/photos/pmtorrone/sets/1710794/comments/
http://en.wikipedia.org/wiki/Mixed_reality
http://www.csl.sony.co.jp/person/rekimoto.html
http://www.cs.unc.edu/~raskar/Office
http://www.cs.unc.edu/~andrei/
http://museiteknik.blogsome.com/category/08-vr-augmented-reality/
