---
layout: post
title: Wearable computer system
---
In the beginning of 2009 I was investigating a couple of different  business ideas. I did read a lot about wearable computer systems, and  had some serious thoughts about building and selling such systems. But I  instead ended up with some home automation ideas, that I&#8217;m going to  work on. Below is a draft article, with my notes from this period. A lot  of text is copied from Internet, I did use them as notes with the  intention to rewrite the text.

## Overview

This  document will describe a vision of a future wearable computer system.  The system will make it possible for a range of new software and the way  software is used. By time this system can replace mobile phones, hand-,  home- and office computers, and other client devices. The most basic  functionality is that the user will always have access to all her normal  applications, such as spreadsheet, email, presentation, Internet  browser. To the more advanced software we have Virtual Reality and  Augmented Reality.

Where virtual reality is a totally  computer-generated environment like those seen in video games. Augmented  reality is much closer to the real world. The basic layout for a  augmented reality system is the real world, to which a computer adds  graphics, sounds, feelings and smells. The easiest way to understand  augmented reality might be if you picture yourself walking down a  street. You are wearing something that looks like a normal pair of  glasses, that works as a computer screen. In your pocket is a small  computer, big as a normal mobile phone. The street you follow are lit up  by a green field, and an animated arrow point to the direction you  should go. Every 5 meter has it&#8217;s own arrow, and floating in the air  above is the estimated number of meters until you have reached your  goal.

If you turn your head down to the right, you can see a  couple of computer windows floating in the air. The one currently most  interesting for you includes a map, indicating where you are now, where  you came from, and to where you should go. The path you should go is  marked by a green line.

You start to feel the need for coffee,  and looks at another window down to the right. It displays your  calender, which shows that the meeting starts in 15 minutes. That gives  time to pick up something to drink on the way. You make a couple of  choices in the map window menu with your right hand, and the map shows  where the 4 nearest cafés can be found. You are lucky, one of them is  just two blocks down the road. You don&#8217;t even need to change the path to  your meeting. The web-page of the café is easily opened and you make an  order of a double espresso that should be ready in 4 minutes, and while  you are walking the payment are automatically done with you credit  card.

You reach the café a couple of minutes later and can see  four coffees on the bar. Above one of them is your name floating.

## Hardware

The hardware vision will  contain three different options. What is available today, tomorrow and  in the future. The definition of tomorrow is 1-10 years. This kind of  technology is probably already in labs all over the world, and is highly  likely possible to create. The future hardware system is beyond 10  years, and something the author would like the future to make available  for us.

### Hardware - Today

This  chapter will contain the hardware that is available today, either by  buying directly or building yourself.

#### Computer

##### PICO - ATX computer

#### Head mounted display

<em>Just  as <a href="http://www.howstuffworks.com/monitor.htm">monitors</a></em> <em>allow us to see text and graphics generated by computers, </em><em><strong>head-mounted  displays (HMDs)</strong></em><em> will enable us to view graphics and  text created by augmented-reality systems. So far, there haven&#8217;t been  many HMDs created specifically with augmented reality in mind. Most of  the displays, which resemble some type of skiing goggles, were  originally created for virtual reality. There are two basic types of  HMDS: </em>
* **video see-through**
* **see-through**

<em><strong>Video see-through displays</strong> block out the wearer&#8217;s surrounding  environment, using small video cameras attached to the outside of the  goggles to capture images. On the inside of the display, the video image  is played in real-time and the graphics are superimposed on the video.  One problem with the use of video cameras is that there is more lag,  meaning that there is a delay in image-adjustment when the viewer moves  his or her head.</em>

<em>Most companies who have made </em><em><strong>optical  see-through displays</strong></em><em> have gone out of business. Sony  makes a see-through display that some researchers use, called the  Glasstron. Blair MacIntyre, director of the <a href="http://www.cc.gatech.edu/projects/ael/">Augmented Environments Lab</a></em> <em>at Georgia Tech, believes that the Microvision&#8217;s Virtual Retinal  Display holds the most promise for an augmented-reality system. This  device actually uses light to paint images onto the <a href="http://www.howstuffworks.com/artificial-vision1.htm">retina</a></em> <em>by rapidly moving the light source across and down the retina. The  problem with the Microvision display is that it currently costs about  $10,000. MacIntyre says that the retinal-scanning display is promising  because it has the potential to be small. He imagines an  ordinary-looking pair of glasses that will have a light source on the  side to project images on to the retina.</em>

#### Tracking system

#### Input peripherals

#### Network

### Hardware - Tomorrow
### Hardware - Future

## Software

### Augmented reality

<em>Copied from howstuffworks</em>

<em>The basic idea of augmented reality  is to superimpose <a href="http://www.howstuffworks.com/3dgraphics.htm">graphics</a>,  audio and other sense enhancements over a real-world environment in  real-time. Sounds pretty simple. Besides, haven&#8217;t television networks  been doing that with graphics for decades? Well, sure &#8212; but all  television networks do is display a static graphic that does not adjust  with camera movement. Augmented reality is far more advanced than any  technology you&#8217;ve seen in television broadcasts, although early versions  of augmented reality are starting to appear in televised races and  football games, such as <a href="http://www.howstuffworks.com/racefx.htm">Racef/x</a></em> <em>and  the <a href="http://www.howstuffworks.com/first-down-line.htm">super-imposed  first down line</a>, both created by <a href="http://www.sportvision.com/">SporTVision</a>. These systems  display graphics for only one point of view. Next-generation  augmented-reality systems will display graphics for each viewer&#8217;s  perspective. </em>

<em>Augmented reality is still in an early  stage of research and development at various universities and high-tech  companies. Eventually, possibly by the end of this decade, we will see  the first mass-marketed augmented-reality system, which one researcher  calls &#8220;the Walkman of the 21st century.&#8221; What augmented reality attempts  to do is not only superimpose graphics over a real environment in  real-time, but also change those graphics to accommodate a user&#8217;s head-  and eye- movements, so that the graphics always fit the perspective.</em>

<em><strong>Instant information</strong> &#8211; Tourists and  students could use these systems to learn more about a certain  historical event. Imagine walking onto a Civil War battlefield and  seeing a re-creation of historical events on a head-mounted,  augmented-reality display. It would immerse you in the event, and the  view would be panoramic.</em>

## Links

### Resources

<a href="http://www.redwoodhouse.com/wearable/">http://www.redwoodhouse.com/wearable/</a>

### Research  labs

<a href="http://www.ethz.ch/index_EN">http://www.ethz.ch/index_EN</a><br />
<a href="http://www.wearitatwork.com/">http://www.wearitatwork.com/</a><br />
<a href="http://www.wearable.ethz.ch/">http://www.wearable.ethz.ch/</a><br />
<a href="http://graphics.cs.columbia.edu/top.html">http://graphics.cs.columbia.edu/top.html</a><br />
<a href="http://wearables.unisa.edu.au/">http://wearables.unisa.edu.au</a>

### Complete  system

<a href="http://graphics.cs.columbia.edu/projects/ArcheoVis/User%20in%20ARgear1.jpg">http://graphics.cs.columbia.edu</a><br />
<a href="http://wearablepersonalcomputer.com/index.php?option=com_content&amp;view=article&amp;id=1:welcome&amp;catid=1:home">http://wearablepersonalcomputer.com</a><br />
<a href="http://www.vuzix.com/tactical/nextgen_systems_wearable_computing.html">http://www.vuzix.com</a><br />
<a href="http://www.indicube.com/">http://www.indicube.com/</a>

### Computer

<a href="http://www.cherrypal.com/products.html">http://www.cherrypal.com</a><br />
<a href="http://gumstix.com/platforms.html">http://gumstix.com</a><br />
<a href="http://linuxdevices.com/articles/AT8728350077.html">http://linuxdevices.com  Linux hand held</a><br />
<a href="http://linuxdevices.com/articles/AT4923746399.html">http://linuxdevices.com  Thin Client</a><br />
<a href="http://www.linuxfordevices.com/c/a/Linux-For-Devices-Articles/Review-DMPIcop-eBox-4300/">http://www.linuxfordevices.com  Ebox</a><a href="http://www.quantum3d.com/Hardware_Thermite.aspx">

http://www.quantum3d.com</a>

<a href="http://ztechshop.net/computers/miniseries/">http://ztechshop.net</a><br />
<a href="http://www.norhtec.com/">http://www.norhtec.com/</a><br />
<a href="http://www.ewayco.com/">http://www.ewayco.com/</a><br />
<a href="http://damnsmalllinux.org/store/Mini_ITX_Systems/Mini_ITX_BareBones_Computer">http://damnsmalllinux.org</a><br />
<a href="http://www.compactpc.com.tw/index.htm">http://www.compactpc.com.tw</a>

### Inspiration

<a href="http://www.nada.kth.se/%7Easa/Texts/morphosis.html">http://www.nada.kth.se/~asa/Texts/morphosis.html</a>

### Displays

#### Email

Send  email to these to get more information.

<a href="http://www.vuzix.com/iwear/products_wrap920av.html">http://www.vuzix.com</a><br />
<a href="http://www.driverheaven.net/reviews.php?reviewid=569&amp;pageid=1">http://www.driverheaven.net</a><br />
<a href="http://gizmodo.com/5114440/vuzix-teases-us-with-awesome-virtual-reality-wrap-920av-video-sunglasses">http://gizmodo.com</a><br />
<a href="http://www.lumus-optical.com/">http://www.lumus-optical.com</a><br />
<a href="http://www.microvision.com/wearable_displays/mobile.html">http://www.microvision.com</a><br />
<a href="http://www.liteye.com/">http://www.liteye.com</a><br />
<a href="http://www.metaio.com/company/partnership/">http://www.metaio.com/company/partnership/</a>

### Read

<a href="http://en.wikipedia.org/wiki/Helmet_mounted_display">http://en.wikipedia.org/wiki/Helmet_mounted_display</a><br />
<a href="http://en.wikipedia.org/wiki/Cathode_ray_tubes">http://en.wikipedia.org/wiki/Cathode_ray_tubes</a><br />
<a href="http://en.wikipedia.org/wiki/Liquid_Crystal_Display">http://en.wikipedia.org/wiki/Liquid_Crystal_Display</a><br />
<a href="http://en.wikipedia.org/wiki/Liquid_Crystal_on_Silicon">http://en.wikipedia.org/wiki/Liquid_Crystal_on_Silicon</a><br />
<a href="http://en.wikipedia.org/wiki/Organic_light-emitting_diode">http://en.wikipedia.org/wiki/Organic_light-emitting_diode</a><br />
<a href="http://en.wikipedia.org/wiki/OLED">http://en.wikipedia.org/wiki/OLED&#8221;</a>

### Hardware

<a href="http://www.lumusvision.com/">http://www.lumusvision.com/  (Eyeglasses, good looking)</a><br />
<a href="http://www.liteye.com/">http://www.liteye.com/  (hmd)</a><br />
<a href="http://www.microvision.com/wearable.html">http://www.microvision.com/wearable.html  (laser glasses)</a><br />
<a href="http://www.i-glassesstore.com/index.html">http://www.i-glassesstore.com/index.</a><br />
<a href="http://www.icuiti.com/index.php_page_id=44.html">http://www.icuiti.com/index.php_page_id=44.html</a><br />
<a href="http://www.kopin.com/low-volume-pricing">http://www.kopin.com/low-volume-pricing/  (Creater of eyeglasses lenses)</a><br />
<a href="http://www.3dvisor.com/buy.php">http://www.3dvisor.com/buy.php</a><br />
<a href="http://www.cwonline.com/store/view_product.asp?Product=1314">http://www.cwonline.com/store/view_product.asp?Product=1314</a><br />
<a href="http://www.vrealities.com/3dnavigator.html">http://www.vrealities.com/3dnavigator.html</a><br />
<a href="http://scratchpad.wikia.com/wiki/P5_Glove:Videos">http://scratchpad.wikia.com/wiki/P5_Glove:Videos</a><br />
<a href="http://www.inition.com/inition/product.php?URL_=product_hmd_emagin_z800&amp;SubCatID_=0">http://www.inition.com/inition/product.php?URL_=product_hmd_emagin_z800&amp;SubCatID_=0</a><br />
<a href="http://www.est-kl.com/aufbau_general/index_hard_eyetracking.html?">http://www.est-kl.com/aufbau_general/index_hard_eyetracking.html</a><br />
<a href="http://www.est-kl.com/hardware/eyetracking/asl/overview.html">http://www.est-kl.com/hardware/eyetracking/asl/overview.html</a><br />
<a href="http://www.stereo3d.com/3dhome.htm">http://www.stereo3d.com/3dhome.htm</a><br />
<a href="http://www.inition.co.uk/inition/compare.php?SubCatID=16&amp;SortID=-2&amp;Asc=0">http://www.inition.co.uk/inition/compare.php?SubCatID=16&amp;SortID=-2&amp;Asc=0</a><br />
<a href="http://www.vuzix.com/iwear/products_vr920.html">http://www.vuzix.com/iwear/products_vr920.html</a><br />
<a href="http://www.inition.co.uk/inition/products.php?CatID_=8">http://www.inition.co.uk/inition/products.php?CatID_=8</a><br />
<a href="http://www.5dt.com/hardware.html">http://www.5dt.com/hardware.html</a><br />
<a href="http://www.trivisio.com/index.php/products">http://www.trivisio.com/index.php/products</a><br />
<a href="http://www.tekgear.ca/index.cfm?pageID=2&amp;section=83&amp;function=viewproducts&amp;nodelist=1,83">http://www.tekgear.ca/index.cfm?pageID=2&amp;section=83&amp;function=viewproducts&amp;nodelist=1,83</a>

#### Projector

<a href="http://www.visbox.com/products.html">http://www.visbox.com/products.html</a>

### Input systems

Devices that can replace keyboard and mouse.

#### Gloves

<a href="http://www.motion-capture-system.com/">http://www.motion-capture-system.com</a><br />
<a href="http://www.phasespace.com/gloves.html">http://www.phasespace.com/gloves.html</a><br />
<a href="http://www.sonycsl.co.jp/person/rekimoto/gwrist/">http://www.sonycsl.co.jp/person/rekimoto/gwrist</a><br />
<a href="http://www.handykey.com/">http://www.handykey.com</a><br />
<a href="http://www.frogpad.com/">http://www.frogpad.com</a><br />
<a href="http://se.youtube.com/watch?v=zr1kqL08uj4&amp;feature=related">http://se.youtube.com/watch?v=zr1kqL08uj4&amp;feature=related</a><br />
<a href="http://oblong.com/">http://oblong.com/</a><br />
<a href="http://www.yankodesign.com/2007/10/02/wearable-mobile-device-for-enhanced-chatting/">http://www.yankodesign.com/2007/10/02/wearable-mobile-device-for-enhanced-chatting</a><br />
<a href="http://www.gizmag.com/go/7293/">http://www.gizmag.com/go/7293/</a>

#### Camera technology

#### Finger mouse

<a href="http://www.youtube.com/watch?v=nGiND16tLoI&amp;feature=related">http://www.youtube.com/watch?v=nGiND16tLoI&amp;feature=related</a><br />
I used OpenCV to program this. I used CAMSHIFT algo to track my hand.  To segment the hand, I depended on skin color segmentation. I used  online training -before the program starts, user places the hand in  predefined location and program picks up the skin color or you can use  OpenCV&#8217;s face detection to detect face and pick skin color from face.

To identify pointed finger and mouse click (thumb movement), I got  the blob of my hand &amp; checked the shape &#8211; was a crude algo, better  use Neural Net etc<br />
<a href="http://larryo.org/work/information/umouse/index.html">http://larryo.org/work/information/umouse/index.html</a><br />
<a href="http://dftuz.unizar.es/%7Erivero/alumnos/vmouse.html">http://dftuz.unizar.es/~rivero/alumnos/vmouse.html</a><br />
<a href="http://www.newlaunches.com/archives/simple_hand_gestures_to_control_your_tv.php">http://www.newlaunches.com/archives/simple_hand_gestures_to_control_your_tv.php</a>

#### Brain waves

<a href="http://www.ocztechnology.com/products/ocz_peripherals/nia-neural_impulse_actuator">http://www.ocztechnology.com</a> OCZ NIA, Neural Impulse Actuator,<br />
<a href="http://www.gtec.at/products/g.BCIsys/bci.htm">http://www.gtec.at/products/g.BCIsys/bci.htm</a>

#### Eye tracker

<a href="http://hci.stanford.edu/research/GUIDe/applications.html">http://hci.stanford.edu/research/GUIDe/applications.html</a>

#### Mouse /Track ball

<a href="http://www.dealextreme.com/details.dx/sku.2695">http://www.dealextreme.com/details.dx/sku.2695</a>
